#eureka client配置
eureka.client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.1.21:6001/eureka/
eureka.instance.appGroupName: yj
prolog.tx.url: http://192.168.1.21:7000/tx/manager/
prolog.auth.redis.namespace: "yj_wms_user:"

spring:
  application:
    name: upcloud-base-wh-inbound
  redis:
    cluster:
      nodes: 192.168.1.17:6379,192.168.1.17:6380,192.168.1.18:6379,192.168.1.18:6380,192.168.1.19:6379,192.168.1.19:6380
    password: prolog-redis-0212
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    host: 192.168.1.17
    port: 5672
    username: yj-wms
    password: yj-wms
    virtual-host: /yj-wms
  datasource:
    driverClassName: com.mysql.jdbc.Driver
    url: jdbc:mysql://192.168.1.13:2206/upcloud_biz_inbound_yj?useSSL=false&serverTimezone=CTT&useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true
    username: dev
    password: prolog0212-dev
    #使用druid数据源
    initialSize: 1 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 10 #最大連接數
    maxWait: 60000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000 #最小生存時間
prolog:
  dao:
    performance: #sql性能监控配置
      enable: true #开启性能监控，默认关闭，建议开发环境开启
      showSql: true #开启打印sql，默认false
      logSlowQuery: true #记录慢sql，默认false
      slowQueryInterval: 3000 #慢sql判断值，单位ms，默认3000ms
    dialect: mysql
    mybatis:
      mapperLocations: classpath:mappers/mysql/*.xml
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  service:
    inventory: upcloud-base-inventory
    control: upcloud-base-wh-control
    outbound: upcloud-base-wh-outbound
    strategy: upcloud-base-strategy
    item: upcloud-base-item
    warehouse: upcloud-base-wh
    chain: upcloud-base-chain
    dataExchange: upcloud-data-exchange
    operate: upcloud-base-wh-operate
    common: upcloud-base-common
  wms:
    print:
      printUrl3: http://192.168.40.136:6819/files/YS_TZ.grf
      printUrl: http://192.168.40.136:6819/files/SJ_BQ.grf
      printUrl2: http://192.168.40.136:6819/files/ZJ_MX.grf
      printUrl4: http://192.168.40.136:6819/files/ZJ_HZ.grf
      printSolution: batch_order.grf
      printName: null
      printCount: 1
      preview: true
    config:
      warehouseId: 599581702716788736
      warehouseCode: C002
      dcId: 1000000042
      dcCode: C002
  serarch:
    url: "http://service-data-api-base/search"
  auth:
    jwt:
      userUrl: http://${spring.application.name}/userpower/getEnterpriseUserByUserName
    redis:
      timeout: 18000
      namespace: "yj_wms_user:"
    client-id: platform-admin
    client-secret: prolog0212
    permitResource: /*.html,/**/*.css,/**/*.js,/**/*.ico,/**/*.png,/**/*.gif,/**/*.jpg,/**/font/*,/v2/api-docs,/microService/microservicesByEnterprise,/microService/getMicroservices,/userSync/*,/userpower/sendsms,/userpower/*/register,/userpower/*/retrieve, /asn/v1.0/saveAsnBillByOms,/wms/v1.0/*
logging:
  config: classpath:log4j2-test.xml
  level.root: info
erp:
  pull:
    url: http://192.168.1.212:10001/api/siyuan/inbound/pullAsn
  report:
    url: http://192.168.1.212:10001/api/siyuan/inbound/asnbill/report
  inStockBack:
    erpUrl: http://192.168.1.212:10001/api/siyuan/inbound/inStockBack
oms:
  receivingRecordBack: http://192.168.1.212:10001/api/oms/acceptanceBack
  incomingRecordBack: http://192.168.1.212:10001/api/oms/incoming
  orderStatusBack: http://192.168.1.212:10001/api/oms/statusBack
eis:
  inboundTaskUrl: http://192.168.1.212:10001/api/jxyjrh/wms2eis/inbound/